From 53bb8b29a4b178bd915f1b7f8d42cc00dab3d0a9 Mon Sep 17 00:00:00 2001
From: Claudio Matsuoka <cmatsuoka@gmail.com>
Date: Tue, 10 Jul 2007 11:56:14 -0300
Subject: [PATCH] hda-codec - Add VIA HDA to si3054

Add VIA HDA identification to use the HDA-based Motorola modem of
the Clevo m540 laptop.

Signed-off-by: Claudio Matsuoka <cmatsuoka@gmail.com>
---
 sound/pci/hda/patch_si3054.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/sound/pci/hda/patch_si3054.c b/sound/pci/hda/patch_si3054.c
index 43f537e..5dd9f61 100644
--- a/sound/pci/hda/patch_si3054.c
+++ b/sound/pci/hda/patch_si3054.c
@@ -304,6 +304,8 @@ struct hda_codec_preset snd_hda_preset_si3054[] = {
  	{ .id = 0x10573055, .name = "Si3054", .patch = patch_si3054 },
  	{ .id = 0x10573057, .name = "Si3054", .patch = patch_si3054 },
  	{ .id = 0x10573155, .name = "Si3054", .patch = patch_si3054 },
+	/* VIA HDA on Clevo m540 */
+	{ .id = 0x11063288, .name = "Si3054", .patch = patch_si3054 },
 	/* Asus A8J Modem (SM56) */
 	{ .id = 0x15433155, .name = "Si3054", .patch = patch_si3054 },
 	{}
-- 
1.5.2.3
